OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_MaterialPropertyRepresentation Class Reference

Representation of STEP entity MaterialPropertyRepresentation
.

`#include <StepRepr_MaterialPropertyRepresentation.hxx>`

Inheritance diagram for StepRepr_MaterialPropertyRepresentation:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_MaterialPropertyRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const StepRepr_RepresentedDefinition &aPropertyDefinitionRepresentation_Definition, const Handle(StepRepr_Representation)&aPropertyDefinitionRepresentation_UsedRepresentation, const Handle(StepRepr_DataEnvironment)&aDependentEnvironment)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_DataEnvironment | DependentEnvironment () const
| Returns field DependentEnvironment .
Standard_EXPORT void | SetDependentEnvironment (const Handle(StepRepr_DataEnvironment)&DependentEnvironment)
| Set field DependentEnvironment .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_DataEnvironment | theDependentEnvironment

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_MaterialPropertyRepresentation::StepRepr_MaterialPropertyRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_DataEnvironment StepRepr_MaterialPropertyRepresentation::DependentEnvironment | ( |  | ) | const

Standard_EXPORT const StepRepr_MaterialPropertyRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_PropertyDefinitionRepresentation. Reimplemented in StepFEA_FeaMaterialPropertyRepresentation.

Standard_EXPORT void StepRepr_MaterialPropertyRepresentation::Init | ( | const StepRepr_RepresentedDefinition & | aPropertyDefinitionRepresentation_Definition,
|  | const Handle(StepRepr_Representation)& | aPropertyDefinitionRepresentation_UsedRepresentation,
|  | const Handle(StepRepr_DataEnvironment)& | aDependentEnvironment
| ) |

Standard_EXPORT void StepRepr_MaterialPropertyRepresentation::SetDependentEnvironment | ( | const Handle(StepRepr_DataEnvironment)& | DependentEnvironment | ) |

## Field Documentation

Handle_StepRepr_DataEnvironment StepRepr_MaterialPropertyRepresentation::theDependentEnvironment`[private]`

The documentation for this class was generated from the following file:

- StepRepr_MaterialPropertyRepresentation.hxx